#!/usr/bin/python
# coding=utf-8
# -*- encoding: utf-8 -*-

import sys, codecs, copy, commands;

sys.stdin  = codecs.getreader('utf-8')(sys.stdin);
sys.stdout = codecs.getwriter('utf-8')(sys.stdout);
sys.stderr = codecs.getwriter('utf-8')(sys.stderr);

c = sys.stdin.read(1);

mk_table = {

	u'<abbr>' : u'<abbr>',
	u'<adj><f><sg><nom><def>' : u'<adj>',
	u'<adj><f><sg><nom><def><@→N>' : u'<adj>',
	u'<adj><f><sg><nom><def><@←SPRED>' : u'<adj>',
	u'<adj><f><sg><nom><dst>' : u'<adj>',
	u'<adj><f><sg><nom><ind>' : u'<adj>',
	u'<adj><f><sg><nom><ind><@→N>' : u'<adj>',
	u'<adj><f><sg><nom><ind><@←SPRED>' : u'<adj>',
	u'<adj><f><sg><nom><prx>' : u'<adj>',
	u'<adj><f><sg><nom><prx><@→N>' : u'<adj>',
	u'<adj><f><sg><nom><prx><@←SPRED>' : u'<adj>',
	u'<adj><mfn><pl><nom><def>' : u'<adj>',
	u'<adj><mfn><pl><nom><def><@→N>' : u'<adj>',
	u'<adj><mfn><pl><nom><def><@←SPRED>' : u'<adj>',
	u'<adj><mfn><pl><nom><dst>' : u'<adj>',
	u'<adj><mfn><pl><nom><dst><@→N>' : u'<adj>',
	u'<adj><mfn><pl><nom><dst><@←SPRED>' : u'<adj>',
	u'<adj><mfn><pl><nom><ind>' : u'<adj>',
	u'<adj><mfn><pl><nom><ind><@→N>' : u'<adj>',
	u'<adj><mfn><pl><nom><ind><@←SPRED>' : u'<adj>',
	u'<adj><mfn><pl><nom><prx>' : u'<adj>',
	u'<adj><mfn><pl><nom><prx><@→N>' : u'<adj>',
	u'<adj><mfn><pl><nom><prx><@←SPRED>' : u'<adj>',
	u'<adj><m><sg><nom><def>' : u'<adj>',
	u'<adj><m><sg><nom><def><@→N>' : u'<adj>',
	u'<adj><m><sg><nom><def><@←SPRED>' : u'<adj>',
	u'<adj><m><sg><nom><ind>' : u'<adj>',
	u'<adj><m><sg><nom><ind><@→N>' : u'<adj>',
	u'<adj><m><sg><nom><ind><@←SPRED>' : u'<adj>',
	u'<adj><m><sg><nom><prx>' : u'<adj>',
	u'<adj><m><sg><nom><prx><@→N>' : u'<adj>',
	u'<adj><nt><sg><nom><def>' : u'<adj>',
	u'<adj><nt><sg><nom><def><@→N>' : u'<adj>',
	u'<adj><nt><sg><nom><def><@←SPRED>' : u'<adj>',
	u'<adj><nt><sg><nom><ind>' : u'<adj>',
	u'<adj><nt><sg><nom><ind><@→N>' : u'<adj>',
	u'<adj><nt><sg><nom><ind><@←SPRED>' : u'<adj>',
	u'<adj><nt><sg><nom><prx>' : u'<adj>',
	u'<adj><nt><sg><nom><prx><@→N>' : u'<adj>',
	u'<adv>' : u'<adv>',
	u'<apos>' : u'<apos>',
	u'<cm>' : u'<cm>',
	u'<cnjcoo>' : u'<cnjcoo>',
	u'<cnjsub>' : u'<cnjsub>',
	u'<guio>' : u'<guio>',
	u'<ij><@INTERJ>' : u'<ij>',
	u'<lpar>' : u'<lpar>',
	u'<n><f><pl><nom><def>' : u'<n>',
	u'<n><f><pl><nom><def><@P←>' : u'<n>',
	u'<n><f><pl><nom><def><@←SPRED>' : u'<n>',
	u'<n><f><pl><nom><def><@SUBJ→>' : u'<n>',
	u'<n><f><pl><nom><dst>' : u'<n>',
	u'<n><f><pl><nom><ind>' : u'<n>',
	u'<n><f><pl><nom><ind><@P←>' : u'<n>',
	u'<n><f><pl><nom><ind><@←SPRED>' : u'<n>',
	u'<n><f><pl><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><f><sg><nom><def>' : u'<n>',
	u'<n><f><sg><nom><def><@P←>' : u'<n>',
	u'<n><f><sg><nom><def><@←SPRED>' : u'<n>',
	u'<n><f><sg><nom><def><@SUBJ→>' : u'<n>',
	u'<n><f><sg><nom><dst>' : u'<n>',
	u'<n><f><sg><nom><dst><@P←>' : u'<n>',
	u'<n><f><sg><nom><dst><@←SPRED>' : u'<n>',
	u'<n><f><sg><nom><dst><@SUBJ→>' : u'<n>',
	u'<n><f><sg><nom><ind>' : u'<n>',
	u'<n><f><sg><nom><ind><@P←>' : u'<n>',
	u'<n><f><sg><nom><ind><@←SPRED>' : u'<n>',
	u'<n><f><sg><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><f><sg><nom><prx>' : u'<n>',
	u'<n><f><sg><nom><prx><@P←>' : u'<n>',
	u'<n><f><sg><nom><prx><@←SPRED>' : u'<n>',
	u'<n><f><sg><nom><prx><@SUBJ→>' : u'<n>',
	u'<n><mfn><pl><nom><def>' : u'<n>',
	u'<n><mfn><pl><nom><def><@P←>' : u'<n>',
	u'<n><mfn><pl><nom><def><@←SPRED>' : u'<n>',
	u'<n><mfn><pl><nom><def><@SUBJ→>' : u'<n>',
	u'<n><mfn><pl><nom><ind>' : u'<n>',
	u'<n><mfn><pl><nom><ind><@P←>' : u'<n>',
	u'<n><mfn><pl><nom><ind><@←SPRED>' : u'<n>',
	u'<n><mfn><pl><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><m><pl><nom><def>' : u'<n>',
	u'<n><m><pl><nom><def><@P←>' : u'<n>',
	u'<n><m><pl><nom><def><@←SPRED>' : u'<n>',
	u'<n><m><pl><nom><def><@SUBJ→>' : u'<n>',
	u'<n><m><pl><nom><ind>' : u'<n>',
	u'<n><m><pl><nom><ind><@P←>' : u'<n>',
	u'<n><m><pl><nom><ind><@←SPRED>' : u'<n>',
	u'<n><m><pl><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><m><pl><nom><prx>' : u'<n>',
	u'<n><m><sg><nom><def>' : u'<n>',
	u'<n><m><sg><nom><def><@P←>' : u'<n>',
	u'<n><m><sg><nom><def><@←SPRED>' : u'<n>',
	u'<n><m><sg><nom><def><@SUBJ→>' : u'<n>',
	u'<n><m><sg><nom><dst>' : u'<n>',
	u'<n><m><sg><nom><ind>' : u'<n>',
	u'<n><m><sg><nom><ind><@P←>' : u'<n>',
	u'<n><m><sg><nom><ind><@←SPRED>' : u'<n>',
	u'<n><m><sg><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><m><sg><nom><prx>' : u'<n>',
	u'<n><m><sg><nom><prx><@P←>' : u'<n>',
	u'<n><m><sg><nom><prx><@←SPRED>' : u'<n>',
	u'<n><m><sg><nom><prx><@SUBJ→>' : u'<n>',
	u'<n><nt><pl><nom><def>' : u'<n>',
	u'<n><nt><pl><nom><def><@P←>' : u'<n>',
	u'<n><nt><pl><nom><def><@←SPRED>' : u'<n>',
	u'<n><nt><pl><nom><def><@SUBJ→>' : u'<n>',
	u'<n><nt><pl><nom><ind>' : u'<n>',
	u'<n><nt><pl><nom><ind><@P←>' : u'<n>',
	u'<n><nt><pl><nom><ind><@←SPRED>' : u'<n>',
	u'<n><nt><pl><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><nt><sg><nom><def>' : u'<n>',
	u'<n><nt><sg><nom><def><@P←>' : u'<n>',
	u'<n><nt><sg><nom><def><@←SPRED>' : u'<n>',
	u'<n><nt><sg><nom><def><@SUBJ→>' : u'<n>',
	u'<n><nt><sg><nom><dst>' : u'<n>',
	u'<n><nt><sg><nom><ind>' : u'<n>',
	u'<n><nt><sg><nom><ind><@P←>' : u'<n>',
	u'<n><nt><sg><nom><ind><@←SPRED>' : u'<n>',
	u'<n><nt><sg><nom><ind><@SUBJ→>' : u'<n>',
	u'<n><nt><sg><nom><prx>' : u'<n>',
	u'<n><nt><sg><nom><prx><@P←>' : u'<n>',
	u'<np><al><f><sg><nom>' : u'<np><al>',
	u'<np><al><mfn><sg><nom>' : u'<np><al>',
	u'<np><ant><f><sg><nom>' : u'<np><ant>',
	u'<np><ant><f><sg><voc>' : u'<np><ant>',
	u'<np><ant><m><sg><nom>' : u'<np><ant>',
	u'<np><cog><f><sg><nom>' : u'<np><cog>',
	u'<np><cog><mfn><sg><nom>' : u'<np><cog>',
	u'<np><cog><m><sg><nom>' : u'<np><cog>',
	u'<np><top><f><sg><nom>' : u'<np><top>',
	u'<np><top><m><sg><nom>' : u'<np><top>',
	u'<np><top><nt><sg><nom>' : u'<np><top>',
	u'<num>' : u'<num>',
	u'<num><time>' : u'<num><time>',
	u'<num><f><nom><def>' : u'<num>',
	u'<num><f><nom><def><@→N>' : u'<num>',
	u'<num><f><nom><ind>' : u'<num>',
	u'<num><f><nom><ind><@→N>' : u'<num>',
	u'<num><f><sg><nom><def>' : u'<num>',
	u'<num><f><sg><nom><def><@→N>' : u'<num>',
	u'<num><f><sg><nom><ind>' : u'<num>',
	u'<num><f><sg><nom><ind><@→N>' : u'<num>',
	u'<num><f><sg><nom><prx>' : u'<num>',
	u'<num><ma><nom><def>' : u'<num>',
	u'<num><ma><nom><def><@→N>' : u'<num>',
	u'<num><ma><nom><ind>' : u'<num>',
	u'<num><ma><nom><ind><@→N>' : u'<num>',
	u'<num><mfn><apprx><nom><def><@→N>' : u'<num>',
	u'<num><mfn><apprx><nom><ind>' : u'<num>',
	u'<num><mfn><apprx><nom><ind><@→N>' : u'<num>',
	u'<num><mfn><nom><def>' : u'<num>',
	u'<num><mfn><nom><def><@→N>' : u'<num>',
	u'<num><mfn><nom><ind>' : u'<num>',
	u'<num><mfn><nom><ind><@→N>' : u'<num>',
	u'<num><mfn><pl><nom><def>' : u'<num>',
	u'<num><mfn><pl><nom><def><@→N>' : u'<num>',
	u'<num><mfn><pl><nom><ind>' : u'<num>',
	u'<num><mfn><pl><nom><ind><@→N>' : u'<num>',
	u'<num><mfn><pl><nom><prx>' : u'<num>',
	u'<num><mfn><sg><nom><def>' : u'<num>',
	u'<num><mfn><sg><nom><def><@→N>' : u'<num>',
	u'<num><mfn><sg><nom><ind>' : u'<num>',
	u'<num><mfn><sg><nom><ind><@→N>' : u'<num>',
	u'<num><mfn><sp><nom><ind>' : u'<num>',
	u'<num><mfn><sp><nom><ind><@→N>' : u'<num>',
	u'<num><m><nom><def>' : u'<num>',
	u'<num><m><nom><def><@→N>' : u'<num>',
	u'<num><m><nom><ind>' : u'<num>',
	u'<num><m><nom><ind><@→N>' : u'<num>',
	u'<num><m><sg><nom><def>' : u'<num>',
	u'<num><m><sg><nom><def><@→N>' : u'<num>',
	u'<num><m><sg><nom><ind>' : u'<num>',
	u'<num><m><sg><nom><ind><@→N>' : u'<num>',
	u'<num><@→N>' : u'<num>',
	u'<num><nt><sg><nom><def>' : u'<num>',
	u'<num><nt><sg><nom><def><@→N>' : u'<num>',
	u'<num><nt><sg><nom><ind>' : u'<num>',
	u'<num><nt><sg><nom><ind><@→N>' : u'<num>',
	u'<num><nt><sg><nom><prx>' : u'<num>',
	u'<num><nt><sg><nom><prx><@→N>' : u'<num>',
	u'<num><ord><f><sg><nom><def>' : u'<num>',
	u'<num><ord><f><sg><nom><def><@→N>' : u'<num>',
	u'<num><ord><f><sg><nom><ind>' : u'<num>',
	u'<num><ord><f><sg><nom><ind><@→N>' : u'<num>',
	u'<num><ord><mfn><pl><nom><def>' : u'<num>',
	u'<num><ord><mfn><pl><nom><def><@→N>' : u'<num>',
	u'<num><ord><m><sg><nom><def>' : u'<num>',
	u'<num><ord><m><sg><nom><def><@→N>' : u'<num>',
	u'<num><ord><m><sg><nom><ind>' : u'<num>',
	u'<num><ord><m><sg><nom><ind><@→N>' : u'<num>',
	u'<num><ord><nt><sg><nom><def>' : u'<num>',
	u'<num><ord><nt><sg><nom><def><@→N>' : u'<num>',
	u'<num><ord><nt><sg><nom><ind>' : u'<num>',
	u'<num><ord><nt><sg><nom><ind><@→N>' : u'<num>',
	u'<part>' : u'<part>',
	u'<part><exp>' : u'<part>',
	u'<pr>' : u'<pr>',
	u'<pref><comp>' : u'<pref>',
	u'<pref><sup>' : u'<pref>',
	u'<prn><dem><f><sg><def><@P←>' : u'<prn><dem>',
	u'<prn><dem><f><sg><def><@X>' : u'<prn><dem>',
	u'<prn><dem><f><sg><ind><@P←>' : u'<prn><dem>',
	u'<prn><dem><f><sg><ind><@X>' : u'<prn><dem>',
	u'<prn><dem><f><sg><@P←>' : u'<prn><dem>',
	u'<prn><dem><f><sg><@X>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><def><@P←>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><def><@X>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><ind><@P←>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><ind><@X>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><@P←>' : u'<prn><dem>',
	u'<prn><dem><mfn><pl><@X>' : u'<prn><dem>',
	u'<prn><dem><m><sg><ind><@P←>' : u'<prn><dem>',
	u'<prn><dem><m><sg><ind><@X>' : u'<prn><dem>',
	u'<prn><dem><m><sg><@P←>' : u'<prn><dem>',
	u'<prn><dem><m><sg><@X>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><def><@P←>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><def><@X>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><ind><@P←>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><ind><@X>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><@P←>' : u'<prn><dem>',
	u'<prn><dem><nt><sg><@X>' : u'<prn><dem>',
	u'<prn><ind><f><sg>' : u'<prn><ind>',
	u'<prn><ind><f><sg><gen>' : u'<prn><ind>',
	u'<prn><ind><f><sg><nom>' : u'<prn><ind>',
	u'<prn><ind><ind>' : u'<prn><ind>',
	u'<prn><ind><mfn><pl>' : u'<prn><ind>',
	u'<prn><ind><mfn><pl><gen>' : u'<prn><ind>',
	u'<prn><ind><mfn><pl><nom>' : u'<prn><ind>',
	u'<prn><ind><m><sg>' : u'<prn><ind>',
	u'<prn><ind><m><sg><acc>' : u'<prn><ind>',
	u'<prn><ind><m><sg><dat>' : u'<prn><ind>',
	u'<prn><ind><m><sg><nom>' : u'<prn><ind>',
	u'<prn><ind><nt><sg>' : u'<prn><ind>',
	u'<prn><ind><nt><sg><nom>' : u'<prn><ind>',
	u'<prn><itg>' : u'<prn><itg>',
	u'<prn><itg><f><sg>' : u'<prn><itg>',
	u'<prn><itg><f><sg><nom>' : u'<prn><itg>',
	u'<prn><itg><mfn><pl>' : u'<prn><itg>',
	u'<prn><itg><mfn><pl><nom>' : u'<prn><itg>',
	u'<prn><itg><m><sg>' : u'<prn><itg>',
	u'<prn><itg><m><sg><nom>' : u'<prn><itg>',
	u'<prn><itg><nt><sg>' : u'<prn><itg>',
	u'<prn><itg><nt><sg><nom>' : u'<prn><itg>',
	u'<prn><neg>' : u'<prn><neg>',
	u'<prn><neg><f><sg>' : u'<prn><neg>',
	u'<prn><neg><f><sg><gen>' : u'<prn><neg>',
	u'<prn><neg><f><sg><nom>' : u'<prn><neg>',
	u'<prn><neg><mfn><pl>' : u'<prn><neg>',
	u'<prn><neg><mfn><pl><gen>' : u'<prn><neg>',
	u'<prn><neg><mfn><pl><nom>' : u'<prn><neg>',
	u'<prn><neg><m><sg>' : u'<prn><neg>',
	u'<prn><neg><m><sg><acc>' : u'<prn><neg>',
	u'<prn><neg><m><sg><dat>' : u'<prn><neg>',
	u'<prn><neg><m><sg><gen>' : u'<prn><neg>',
	u'<prn><neg><m><sg><nom>' : u'<prn><neg>',
	u'<prn><neg><nt><sg>' : u'<prn><neg>',
	u'<prn><pers><clt><p1><mfn><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><clt><p2><mfn><pl><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><clt><p2><mfn><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><clt><p3><f><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><clt><p3><mfn><pl><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><clt><p3><m><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><pl><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><pl><dat><@X>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><pl><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><pl><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><pl><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><sg><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><sg><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p1><mfn><sg><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><pl><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><pl><dat><@X>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><pl><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><pl><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><pl><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><sg><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><sg><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p2><mfn><sg><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><f><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><f><sg><dat><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><f><sg><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p3><f><sg><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p3><f><sg><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><mfn><pl><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><mfn><pl><dat><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><mfn><pl><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p3><mfn><pl><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p3><mfn><pl><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><m><sg><acc><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><m><sg><dat><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><m><sg><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p3><m><sg><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p3><m><sg><nom><@X>' : u'<prn><pers>',
	u'<prn><pers><p3><nt><sg><nom><@←SUBJ>' : u'<prn><pers>',
	u'<prn><pers><p3><nt><sg><nom><@SUBJ→>' : u'<prn><pers>',
	u'<prn><pers><p3><nt><sg><nom><@X>' : u'<prn><pers>',
	u'<prn><pos><clt><p1><mfn><sg>' : u'<prn><pos>',
	u'<prn><pos><clt><p2><mfn><pl>' : u'<prn><pos>',
	u'<prn><pos><clt><p3><mfn><pl>' : u'<prn><pos>',
	u'<prn><pos><clt><p3><mfn><pl><@→N>' : u'<prn><pos>',
	u'<prn><pos><clt><p3><m><sg>' : u'<prn><pos>',
	u'<prn><pos><clt><p3><m><sg><@→N>' : u'<prn><pos>',
	u'<prn><pos><f><sg><def>' : u'<prn><pos>',
	u'<prn><pos><f><sg><def><@→N>' : u'<prn><pos>',
	u'<prn><pos><f><sg><ind>' : u'<prn><pos>',
	u'<prn><pos><f><sg><ind><@→N>' : u'<prn><pos>',
	u'<prn><pos><mfn><pl><def>' : u'<prn><pos>',
	u'<prn><pos><mfn><pl><def><@→N>' : u'<prn><pos>',
	u'<prn><pos><mfn><pl><ind>' : u'<prn><pos>',
	u'<prn><pos><mfn><pl><ind><@→N>' : u'<prn><pos>',
	u'<prn><pos><m><sg><def>' : u'<prn><pos>',
	u'<prn><pos><m><sg><def><@→N>' : u'<prn><pos>',
	u'<prn><pos><m><sg><ind>' : u'<prn><pos>',
	u'<prn><pos><m><sg><ind><@→N>' : u'<prn><pos>',
	u'<prn><pos><nt><sg><def>' : u'<prn><pos>',
	u'<prn><pos><nt><sg><def><@→N>' : u'<prn><pos>',
	u'<prn><pos><nt><sg><ind>' : u'<prn><pos>',
	u'<prn><pos><nt><sg><ind><@→N>' : u'<prn><pos>',
	u'<prn><ref><pers><mfn><sp><acc><@X>' : u'<prn><ref><pos>',
	u'<prn><ref><pers><mfn><sp><dat><@X>' : u'<prn><ref><pos>',
	u'<prn><ref><pos>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><f><sg><def>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><f><sg><def><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><f><sg><ind>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><f><sg><ind><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><mfn><pl><def>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><mfn><pl><def><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><mfn><pl><ind>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><mfn><pl><ind><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><m><sg><def>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><m><sg><def><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><m><sg><ind>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><m><sg><ind><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><nt><sg><def>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><nt><sg><def><@→N>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><nt><sg><ind>' : u'<prn><ref><pos>',
	u'<prn><ref><pos><nt><sg><ind><@→N>' : u'<prn><ref><pos>',
	u'<prn><rel>' : u'<prn><rel>',
	u'<prn><rel><f><sg>' : u'<prn><rel>',
	u'<prn><rel><f><sg><gen>' : u'<prn><rel>',
	u'<prn><rel><f><sg><nom>' : u'<prn><rel>',
	u'<prn><rel><mfn><pl>' : u'<prn><rel>',
	u'<prn><rel><mfn><pl><gen>' : u'<prn><rel>',
	u'<prn><rel><mfn><pl><nom>' : u'<prn><rel>',
	u'<prn><rel><m><sg>' : u'<prn><rel>',
	u'<prn><rel><m><sg><acc>' : u'<prn><rel>',
	u'<prn><rel><m><sg><dat>' : u'<prn><rel>',
	u'<prn><rel><m><sg><gen>' : u'<prn><rel>',
	u'<prn><rel><m><sg><nom>' : u'<prn><rel>',
	u'<prn><rel><nt><sg>' : u'<prn><rel>',
	u'<prn><rel><nt><sg><gen>' : u'<prn><rel>',
	u'<prn><rel><nt><sg><nom>' : u'<prn><rel>',
	u'<prn><tot><f><sg>' : u'<prn><tot>',
	u'<prn><tot><f><sg><def>' : u'<prn><tot>',
	u'<prn><tot><f><sg><nom>' : u'<prn><tot>',
	u'<prn><tot><mfn><pl>' : u'<prn><tot>',
	u'<prn><tot><mfn><pl><def>' : u'<prn><tot>',
	u'<prn><tot><mfn><pl><nom>' : u'<prn><tot>',
	u'<prn><tot><mfn><pl><prx>' : u'<prn><tot>',
	u'<prn><tot><m><sg>' : u'<prn><tot>',
	u'<prn><tot><m><sg><acc>' : u'<prn><tot>',
	u'<prn><tot><m><sg><dat>' : u'<prn><tot>',
	u'<prn><tot><m><sg><def>' : u'<prn><tot>',
	u'<prn><tot><m><sg><nom>' : u'<prn><tot>',
	u'<prn><tot><nt><sg>' : u'<prn><tot>',
	u'<prn><tot><nt><sg><def>' : u'<prn><tot>',
	u'<prn><tot><nt><sg><dst>' : u'<prn><tot>',
	u'<prn><tot><nt><sg><nom>' : u'<prn><tot>',
	u'<prn><tot><nt><sg><prx>' : u'<prn><tot>',
	u'<rpar>' : u'<rpar>',
	u'<sent>' : u'<sent>',
	u'<vbhaver><aor><p2><sg>' : u'<vbhaver>',
	u'<vbhaver><aor><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><lp><pii><f><sg>' : u'<vbhaver>',
	u'<vbhaver><lp><pii><mfn><pl>' : u'<vbhaver>',
	u'<vbhaver><lp><pii><m><sg>' : u'<vbhaver>',
	u'<vbhaver><lp><pii><nt><sg>' : u'<vbhaver>',
	u'<vbhaver><pii><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><pii><p1><sg>' : u'<vbhaver>',
	u'<vbhaver><pii><p2><pl>' : u'<vbhaver>',
	u'<vbhaver><pii><p2><sg>' : u'<vbhaver>',
	u'<vbhaver><pii><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><pii><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><pprs><adv>' : u'<vbhaver>',
	u'<vbhaver><pres><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><pres><p1><sg>' : u'<vbhaver>',
	u'<vbhaver><pres><p2><pl>' : u'<vbhaver>',
	u'<vbhaver><pres><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><pres><p3><sg>' : u'<vbhaver>',
	u'<vblex><imperf><iv><aor><p1><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><aor><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><aor><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><aor><p3><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><imp><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><imp><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><aor><f><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><aor><mfn><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><aor><m><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><aor><nt><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><pii><f><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><pii><mfn><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><pii><m><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><lp><pii><nt><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p1><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p1><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p2><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pii><p3><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><f><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><mfn><pl><def>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><mfn><pl><ind>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><m><sg><def>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><m><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><iv><pp><nt><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><iv><pprs><adv>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p1><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p1><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p2><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><iv><pres><p3><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><aor><p1><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><aor><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><aor><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><aor><p3><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><imp><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><imp><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><aor><f><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><aor><mfn><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><aor><m><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><aor><nt><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><pii><f><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><pii><mfn><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><pii><m><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><lp><pii><nt><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p1><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p1><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p2><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pii><p3><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><f><sg><def>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><f><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><mfn><pl><def>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><mfn><pl><ind>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><m><sg><def>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><m><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><nt><sg><def>' : u'<vblex>',
	u'<vblex><imperf><tv><pp><nt><sg><ind>' : u'<vblex>',
	u'<vblex><imperf><tv><pprs><adv>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p1><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p1><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p2><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p2><sg>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p3><pl>' : u'<vblex>',
	u'<vblex><imperf><tv><pres><p3><sg>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p1><pl>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p1><sg>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p2><pl>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p2><sg>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p3><pl>' : u'<vblex>',
	u'<vblex><perf><iv><aor><p3><sg>' : u'<vblex>',
	u'<vblex><perf><iv><imp><pl>' : u'<vblex>',
	u'<vblex><perf><iv><imp><sg>' : u'<vblex>',
	u'<vblex><perf><iv><lp><aor><f><sg>' : u'<vblex>',
	u'<vblex><perf><iv><lp><aor><mfn><pl>' : u'<vblex>',
	u'<vblex><perf><iv><lp><aor><m><sg>' : u'<vblex>',
	u'<vblex><perf><iv><lp><aor><nt><sg>' : u'<vblex>',
	u'<vblex><perf><iv><lp><pii><f><sg>' : u'<vblex>',
	u'<vblex><perf><iv><lp><pii><mfn><pl>' : u'<vblex>',
	u'<vblex><perf><iv><lp><pii><m><sg>' : u'<vblex>',
	u'<vblex><perf><iv><pii><p3><pl>' : u'<vblex>',
	u'<vblex><perf><iv><pii><p3><sg>' : u'<vblex>',
	u'<vblex><perf><iv><pp><f><sg><def>' : u'<vblex>',
	u'<vblex><perf><iv><pp><f><sg><ind>' : u'<vblex>',
	u'<vblex><perf><iv><pp><mfn><pl><def>' : u'<vblex>',
	u'<vblex><perf><iv><pp><mfn><pl><ind>' : u'<vblex>',
	u'<vblex><perf><iv><pp><m><sg><def>' : u'<vblex>',
	u'<vblex><perf><iv><pp><m><sg><ind>' : u'<vblex>',
	u'<vblex><perf><iv><pp><nt><sg><def>' : u'<vblex>',
	u'<vblex><perf><iv><pp><nt><sg><ind>' : u'<vblex>',
	u'<vblex><perf><iv><pres><p1><pl>' : u'<vblex>',
	u'<vblex><perf><iv><pres><p1><sg>' : u'<vblex>',
	u'<vblex><perf><iv><pres><p2><pl>' : u'<vblex>',
	u'<vblex><perf><iv><pres><p3><pl>' : u'<vblex>',
	u'<vblex><perf><iv><pres><p3><sg>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p1><pl>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p1><sg>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p2><pl>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p2><sg>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p3><pl>' : u'<vblex>',
	u'<vblex><perf><tv><aor><p3><sg>' : u'<vblex>',
	u'<vblex><perf><tv><imp><pl>' : u'<vblex>',
	u'<vblex><perf><tv><imp><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><aor><f><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><aor><mfn><pl>' : u'<vblex>',
	u'<vblex><perf><tv><lp><aor><m><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><aor><nt><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><pii><f><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><pii><mfn><pl>' : u'<vblex>',
	u'<vblex><perf><tv><lp><pii><m><sg>' : u'<vblex>',
	u'<vblex><perf><tv><lp><pii><nt><sg>' : u'<vblex>',
	u'<vblex><perf><tv><pii><p1><pl>' : u'<vblex>',
	u'<vblex><perf><tv><pii><p1><sg>' : u'<vblex>',
	u'<vblex><perf><tv><pii><p3><pl>' : u'<vblex>',
	u'<vblex><perf><tv><pii><p3><sg>' : u'<vblex>',
	u'<vblex><perf><tv><pp><f><sg><def>' : u'<vblex>',
	u'<vblex><perf><tv><pp><f><sg><ind>' : u'<vblex>',
	u'<vblex><perf><tv><pp><mfn><pl><def>' : u'<vblex>',
	u'<vblex><perf><tv><pp><mfn><pl><ind>' : u'<vblex>',
	u'<vblex><perf><tv><pp><m><sg><def>' : u'<vblex>',
	u'<vblex><perf><tv><pp><m><sg><ind>' : u'<vblex>',
	u'<vblex><perf><tv><pp><nt><sg><def>' : u'<vblex>',
	u'<vblex><perf><tv><pp><nt><sg><ind>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p1><pl>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p1><sg>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p2><pl>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p2><sg>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p3><pl>' : u'<vblex>',
	u'<vblex><perf><tv><pres><p3><sg>' : u'<vblex>',
	u'<vbmod><aor><p2><sg>' : u'<vbmod>',
	u'<vbmod><aor><p3><pl>' : u'<vbmod>',
	u'<vbmod><aor><p3><sg>' : u'<vbmod>',
	u'<vbmod><lp><pii><f><sg>' : u'<vbmod>',
	u'<vbmod><lp><pii><mfn><pl>' : u'<vbmod>',
	u'<vbmod><lp><pii><m><sg>' : u'<vbmod>',
	u'<vbmod><lp><pii><nt><sg>' : u'<vbmod>',
	u'<vbmod><pii><p1><pl>' : u'<vbmod>',
	u'<vbmod><pii><p1><sg>' : u'<vbmod>',
	u'<vbmod><pii><p2><pl>' : u'<vbmod>',
	u'<vbmod><pii><p3><pl>' : u'<vbmod>',
	u'<vbmod><pii><p3><sg>' : u'<vbmod>',
	u'<vbmod><pres><p1><pl>' : u'<vbmod>',
	u'<vbmod><pres><p1><sg>' : u'<vbmod>',
	u'<vbmod><pres><p2><pl>' : u'<vbmod>',
	u'<vbmod><pres><p2><sg>' : u'<vbmod>',
	u'<vbmod><pres><p3><pl>' : u'<vbmod>',
	u'<vbmod><pres><p3><sg>' : u'<vbmod>',
	u'<vbser><imp><sg>' : u'<vbser>',
	u'<vbser><lp><pii><f><sg>' : u'<vbser>',
	u'<vbser><lp><pii><mfn><pl>' : u'<vbser>',
	u'<vbser><lp><pii><m><sg>' : u'<vbser>',
	u'<vbser><lp><pii><nt><sg>' : u'<vbser>',
	u'<vbser><pii><p1><pl>' : u'<vbser>',
	u'<vbser><pii><p1><sg>' : u'<vbser>',
	u'<vbser><pii><p2><sg>' : u'<vbser>',
	u'<vbser><pii><p3><pl>' : u'<vbser>',
	u'<vbser><pii><p3><sg>' : u'<vbser>',
	u'<vbser><pres><p1><pl>' : u'<vbser>',
	u'<vbser><pres><p1><sg>' : u'<vbser>',
	u'<vbser><pres><p2><pl>' : u'<vbser>',
	u'<vbser><pres><p2><sg>' : u'<vbser>',
	u'<vbser><pres><p3><pl>' : u'<vbser>',
	u'<vbser><pres><p3><sg>' : u'<vbser>'
};

es_table = {

	u'<adj><f><pl>' : u'<adj>',
	u'<adj><f><sg>' : u'<adj>',
	u'<adj><mf><pl>' : u'<adj>',
	u'<adj><mf><sg>' : u'<adj>',
	u'<adj><mf><sp>' : u'<adj>',
	u'<adj><m><pl>' : u'<adj>',
	u'<adj><m><sg>' : u'<adj>',
	u'<adj><pos><f><pl>' : u'<adj><pos>',
	u'<adj><pos><f><sg>' : u'<adj><pos>',
	u'<adj><pos><m><pl>' : u'<adj><pos>',
	u'<adj><pos><m><sg>' : u'<adj><pos>',
	u'<adj><sup><f><pl>' : u'<adj>',
	u'<adj><sup><f><sg>' : u'<adj>',
	u'<adj><sup><m><pl>' : u'<adj>',
	u'<adj><sup><m><sg>' : u'<adj>',
	u'<adv>' : u'<adv>',
	u'<adv><itg>' : u'<adv><itg>',
	u'<apos>' : u'<apos>',
	u'<cm>' : u'<cm>',
	u'<cnjadv>' : u'<cnjadv>',
	u'<cnjcoo>' : u'<cnjcoo>',
	u'<cnjsub>' : u'<cnjsub>',
	u'<det><def><f><pl>' : u'<det><def>',
	u'<det><def><f><sg>' : u'<det><def>',
	u'<det><def><m><pl>' : u'<det><def>',
	u'<det><def><m><sg>' : u'<det><def>',
	u'<det><def><nt><sg>' : u'<det><def>',
	u'<det><dem><f><pl>' : u'<det><dem>',
	u'<det><dem><f><sg>' : u'<det><dem>',
	u'<det><dem><m><pl>' : u'<det><dem>',
	u'<det><dem><m><sg>' : u'<det><dem>',
	u'<det><ind><f><pl>' : u'<det><ind>',
	u'<det><ind><f><sg>' : u'<det><ind>',
	u'<det><ind><mf><pl>' : u'<det><ind>',
	u'<det><ind><mf><sg>' : u'<det><ind>',
	u'<det><ind><mf><sp>' : u'<det><ind>',
	u'<det><ind><m><pl>' : u'<det><ind>',
	u'<det><ind><m><sg>' : u'<det><ind>',
	u'<det><itg><f><pl>' : u'<det><itg>',
	u'<det><itg><f><sg>' : u'<det><itg>',
	u'<det><itg><mf><sp>' : u'<det><itg>',
	u'<det><itg><m><pl>' : u'<det><itg>',
	u'<det><itg><m><sg>' : u'<det><itg>',
	u'<det><ord><f><pl>' : u'<det><ord>',
	u'<det><ord><f><sg>' : u'<det><ord>',
	u'<det><ord><m><pl>' : u'<det><ord>',
	u'<det><ord><m><sg>' : u'<det><ord>',
	u'<det><pos><f><pl>' : u'<det><pos>',
	u'<det><pos><f><sg>' : u'<det><pos>',
	u'<det><pos><mf><pl>' : u'<det><pos>',
	u'<det><pos><mf><sg>' : u'<det><pos>',
	u'<det><pos><m><pl>' : u'<det><pos>',
	u'<det><pos><m><sg>' : u'<det><pos>',
	u'<det><qnt><f><pl>' : u'<det><qnt>',
	u'<det><qnt><f><sg>' : u'<det><qnt>',
	u'<det><qnt><mf><pl>' : u'<det><qnt>',
	u'<det><qnt><mf><sg>' : u'<det><qnt>',
	u'<det><qnt><mf><sp>' : u'<det><qnt>',
	u'<det><qnt><m><pl>' : u'<det><qnt>',
	u'<det><qnt><m><sg>' : u'<det><qnt>',
	u'<guio>' : u'<guio>',
	u'<ij>' : u'<ij>',
	u'<lpar>' : u'<lpar>',
	u'<lquest>' : u'<lquest>',
	u'<mon>' : u'<mon>',
	u'<n><acr><f><pl>' : u'<n>',
	u'<n><acr><f><sg>' : u'<n>',
	u'<n><acr><m><sg>' : u'<n>',
	u'<n><f><pl>' : u'<n>',
	u'<n><f><sg>' : u'<n>',
	u'<n><f><sp>' : u'<n>',
	u'<n><mf><pl>' : u'<n>',
	u'<n><mf><sg>' : u'<n>',
	u'<n><mf><sp>' : u'<n>',
	u'<n><m><pl>' : u'<n>',
	u'<n><m><sg>' : u'<n>',
	u'<n><m><sp>' : u'<n>',
	u'<np><al><f><pl>' : u'<np><al>',
	u'<np><al><f><sg>' : u'<np><al>',
	u'<np><al><m><pl>' : u'<np><al>',
	u'<np><al><m><sg>' : u'<np><al>',
	u'<np><ant><f><sg>' : u'<np><ant>',
	u'<np><ant><m><sg>' : u'<np><ant>',
	u'<np><cog><mf><sg>' : u'<np><cog>',
	u'<np><loc><f><pl>' : u'<np><loc>',
	u'<np><loc><f><sg>' : u'<np><loc>',
	u'<np><loc><m><pl>' : u'<np><loc>',
	u'<np><loc><m><sg>' : u'<np><loc>',
	u'<num>' : u'<num>',
	u'<num><time>' : u'<num><time>',
	u'<num><f><sp>' : u'<num>',
	u'<num><mf><pl>' : u'<num>',
	u'<num><mf><sg>' : u'<num>',
	u'<num><mf><sp>' : u'<num>',
	u'<num><mon>' : u'<num><mon>',
	u'<num><m><sp>' : u'<num>',
	u'<num><ord><f><sg>' : u'<num><ord>',
	u'<num><ord><m><sg>' : u'<num><ord>',
	u'<num><percent>' : u'<num><percent>',
	u'<num><time>' : u'<num><time>',
	u'<pr>' : u'<pr>',
	u'<preadv>' : u'<preadv>',
	u'<predet><f><pl>' : u'<predet>',
	u'<predet><f><sg>' : u'<predet>',
	u'<predet><m><pl>' : u'<predet>',
	u'<predet><m><sg>' : u'<predet>',
	u'<predet><nt><sp>' : u'<predet>',
	u'<prn><enc><p1><mf><pl>' : u'<prn><enc>',
	u'<prn><enc><p1><mf><sg>' : u'<prn><enc>',
	u'<prn><enc><p2><mf><pl>' : u'<prn><enc>',
	u'<prn><enc><p2><mf><sg>' : u'<prn><enc>',
	u'<prn><enc><p3><f><pl>' : u'<prn><enc>',
	u'<prn><enc><p3><f><sg>' : u'<prn><enc>',
	u'<prn><enc><p3><mf><pl>' : u'<prn><enc>',
	u'<prn><enc><p3><mf><sg>' : u'<prn><enc>',
	u'<prn><enc><p3><mf><sp>' : u'<prn><enc>',
	u'<prn><enc><p3><m><pl>' : u'<prn><enc>',
	u'<prn><enc><p3><nt>' : u'<prn><enc>',
	u'<prn><enc><ref><p3><mf><sp>' : u'<prn><enc>',
	u'<prn><itg><f><pl>' : u'<prn><itg>',
	u'<prn><itg><f><sg>' : u'<prn><itg>',
	u'<prn><itg><mf><pl>' : u'<prn><itg>',
	u'<prn><itg><mf><sg>' : u'<prn><itg>',
	u'<prn><itg><m><pl>' : u'<prn><itg>',
	u'<prn><itg><m><sg>' : u'<prn><itg>',
	u'<prn><pos><f><pl>' : u'<prn><pos>',
	u'<prn><pos><f><sg>' : u'<prn><pos>',
	u'<prn><pos><m><pl>' : u'<prn><pos>',
	u'<prn><pos><m><sg>' : u'<prn><pos>',
	u'<prn><pro><p1><mf><pl>' : u'<prn><pro>',
	u'<prn><pro><p1><mf><sg>' : u'<prn><pro>',
	u'<prn><pro><p2><mf><pl>' : u'<prn><pro>',
	u'<prn><pro><p2><mf><sg>' : u'<prn><pro>',
	u'<prn><pro><p3><f><pl>' : u'<prn><pro>',
	u'<prn><pro><p3><f><sg>' : u'<prn><pro>',
	u'<prn><pro><p3><mf><pl>' : u'<prn><pro>',
	u'<prn><pro><p3><mf><sg>' : u'<prn><pro>',
	u'<prn><pro><p3><mf><sp>' : u'<prn><pro>',
	u'<prn><pro><p3><m><pl>' : u'<prn><pro>',
	u'<prn><pro><p3><m><sg>' : u'<prn><pro>',
	u'<prn><pro><p3><nt>' : u'<prn><pro>',
	u'<prn><pro><ref><p3><mf><sp>' : u'<prn><pro>',
	u'<prn><dem><f><pl>' : u'<prn><dem>',
	u'<prn><dem><f><sg>' : u'<prn><dem>',
	u'<prn><dem><mf><pl>' : u'<prn><dem>',
	u'<prn><dem><mf><sg>' : u'<prn><dem>',
	u'<prn><dem><mf><sp>' : u'<prn><dem>',
	u'<prn><dem><m><pl>' : u'<prn><dem>',
	u'<prn><dem><m><sg>' : u'<prn><dem>',
	u'<prn><dem><m><sp>' : u'<prn><dem>',
	u'<prn><dem><nt>' : u'<prn><dem>',
	u'<prn><tn><f><pl>' : u'<prn><tn>',
	u'<prn><tn><f><sg>' : u'<prn><tn>',
	u'<prn><tn><mf><pl>' : u'<prn><tn>',
	u'<prn><tn><mf><sg>' : u'<prn><tn>',
	u'<prn><tn><mf><sp>' : u'<prn><tn>',
	u'<prn><tn><m><pl>' : u'<prn><tn>',
	u'<prn><tn><m><sg>' : u'<prn><tn>',
	u'<prn><tn><m><sp>' : u'<prn><tn>',
	u'<prn><tn><nt>' : u'<prn><tn>',
	u'<prn><tn><p1><f><pl>' : u'<prn><tn>',
	u'<prn><tn><p1><mf><sg>' : u'<prn><tn>',
	u'<prn><tn><p1><m><pl>' : u'<prn><tn>',
	u'<prn><tn><p2><f><pl>' : u'<prn><tn>',
	u'<prn><tn><p2><mf><sg>' : u'<prn><tn>',
	u'<prn><tn><p2><m><pl>' : u'<prn><tn>',
	u'<prn><tn><p3><f><pl>' : u'<prn><tn>',
	u'<prn><tn><p3><f><sg>' : u'<prn><tn>',
	u'<prn><tn><p3><mf><pl>' : u'<prn><tn>',
	u'<prn><tn><p3><mf><sg>' : u'<prn><tn>',
	u'<prn><tn><p3><m><pl>' : u'<prn><tn>',
	u'<prn><tn><p3><m><sg>' : u'<prn><tn>',
	u'<prn><tn><ref><p3><mf><sp>' : u'<prn><tn>',
	u'<rel><aa><f><pl>' : u'<rel><aa>',
	u'<rel><aa><f><sg>' : u'<rel><aa>',
	u'<rel><aa><m><pl>' : u'<rel><aa>',
	u'<rel><aa><m><sg>' : u'<rel><aa>',
	u'<rel><adv>' : u'<rel><adv>',
	u'<rel><an><mf><sp>' : u'<rel><an>',
	u'<rel><an><nt>' : u'<rel><an>',
	u'<rel><nn><f><pl>' : u'<rel><nn>',
	u'<rel><nn><f><sg>' : u'<rel><nn>',
	u'<rel><nn><mf><pl>' : u'<rel><nn>',
	u'<rel><nn><mf><sg>' : u'<rel><nn>',
	u'<rel><nn><m><pl>' : u'<rel><nn>',
	u'<rel><nn><m><sg>' : u'<rel><nn>',
	u'<rel><nn><nt><sg>' : u'<rel><nn>',
	u'<rpar>' : u'<rpar>',
	u'<sent>' : u'<sent>',
	u'<vbhaver><cni><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><cni><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><cni><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><fti><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><fti><p1><sg>' : u'<vbhaver>',
	u'<vbhaver><fti><p2><pl>' : u'<vbhaver>',
	u'<vbhaver><fti><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><fti><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><fts><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><fts><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><ger>' : u'<vbhaver><ger>',
	u'<vbhaver><ifi><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><ifi><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><inf>' : u'<vbhaver><inf>',
	u'<vbhaver><pii><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><pii><p2><sg>' : u'<vbhaver>',
	u'<vbhaver><pii><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><pii><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><pis><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><pis><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><pis><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><pp><m><sg>' : u'<vbhaver><pp>',
	u'<vbhaver><pri><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><pri><p1><sg>' : u'<vbhaver>',
	u'<vbhaver><pri><p2><pl>' : u'<vbhaver>',
	u'<vbhaver><pri><p2><sg>' : u'<vbhaver>',
	u'<vbhaver><pri><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><pri><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><prs><p1><pl>' : u'<vbhaver>',
	u'<vbhaver><prs><p2><sg>' : u'<vbhaver>',
	u'<vbhaver><prs><p3><pl>' : u'<vbhaver>',
	u'<vbhaver><prs><p3><sg>' : u'<vbhaver>',
	u'<vblex><cni><p1><pl>' : u'<vblex>',
	u'<vblex><cni><p2><sg>' : u'<vblex>',
	u'<vblex><cni><p3><pl>' : u'<vblex>',
	u'<vblex><cni><p3><sg>' : u'<vblex>',
	u'<vblex><fti><p1><pl>' : u'<vblex>',
	u'<vblex><fti><p1><sg>' : u'<vblex>',
	u'<vblex><fti><p2><pl>' : u'<vblex>',
	u'<vblex><fti><p2><sg>' : u'<vblex>',
	u'<vblex><fti><p3><pl>' : u'<vblex>',
	u'<vblex><fti><p3><sg>' : u'<vblex>',
	u'<vblex><fts><p1><pl>' : u'<vblex>',
	u'<vblex><fts><p2><sg>' : u'<vblex>',
	u'<vblex><fts><p3><pl>' : u'<vblex>',
	u'<vblex><fts><p3><sg>' : u'<vblex>',
	u'<vblex><ger>' : u'<vblex><ger>',
	u'<vblex><ifi><p1><pl>' : u'<vblex>',
	u'<vblex><ifi><p1><sg>' : u'<vblex>',
	u'<vblex><ifi><p2><pl>' : u'<vblex>',
	u'<vblex><ifi><p2><sg>' : u'<vblex>',
	u'<vblex><ifi><p3><pl>' : u'<vblex>',
	u'<vblex><ifi><p3><sg>' : u'<vblex>',
	u'<vblex><imp><p1><pl>' : u'<vblex>',
	u'<vblex><imp><p2><pl>' : u'<vblex>',
	u'<vblex><imp><p2><sg>' : u'<vblex>',
	u'<vblex><imp><p3><pl>' : u'<vblex>',
	u'<vblex><imp><p3><sg>' : u'<vblex>',
	u'<vblex><inf>' : u'<vblex><inf>',
	u'<vblex><pii><p1><pl>' : u'<vblex>',
	u'<vblex><pii><p2><pl>' : u'<vblex>',
	u'<vblex><pii><p2><sg>' : u'<vblex>',
	u'<vblex><pii><p3><pl>' : u'<vblex>',
	u'<vblex><pii><p3><sg>' : u'<vblex>',
	u'<vblex><pis><p1><pl>' : u'<vblex>',
	u'<vblex><pis><p2><pl>' : u'<vblex>',
	u'<vblex><pis><p2><sg>' : u'<vblex>',
	u'<vblex><pis><p3><pl>' : u'<vblex>',
	u'<vblex><pis><p3><sg>' : u'<vblex>',
	u'<vblex><pp><f><pl>' : u'<vblex><pp>',
	u'<vblex><pp><f><sg>' : u'<vblex><pp>',
	u'<vblex><pp><m><pl>' : u'<vblex><pp>',
	u'<vblex><pp><m><sg>' : u'<vblex><pp>',
	u'<vblex><pri><p1><pl>' : u'<vblex>',
	u'<vblex><pri><p1><sg>' : u'<vblex>',
	u'<vblex><pri><p2><pl>' : u'<vblex>',
	u'<vblex><pri><p2><sg>' : u'<vblex>',
	u'<vblex><pri><p3><pl>' : u'<vblex>',
	u'<vblex><pri><p3><sg>' : u'<vblex>',
	u'<vblex><pron><cni><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><cni><p2><pl>' : u'<vblex><pron>',
	u'<vblex><pron><cni><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><cni><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><fti><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><fti><p1><sg>' : u'<vblex><pron>',
	u'<vblex><pron><fti><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><fti><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><ger>' : u'<vblex><pron>',
	u'<vblex><pron><ifi><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><ifi><p1><sg>' : u'<vblex><pron>',
	u'<vblex><pron><ifi><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><ifi><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><imp><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><imp><p2><pl>' : u'<vblex><pron>',
	u'<vblex><pron><imp><p2><sg>' : u'<vblex><pron>',
	u'<vblex><pron><imp><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><imp><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><inf>' : u'<vblex><pron>',
	u'<vblex><pron><pii><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pii><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pii><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pis><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pis><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pis><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pp><f><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pp><f><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pp><m><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pp><m><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pri><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pri><p1><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pri><p2><sg>' : u'<vblex><pron>',
	u'<vblex><pron><pri><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><pri><p3><sg>' : u'<vblex><pron>',
	u'<vblex><pron><prs><p1><pl>' : u'<vblex><pron>',
	u'<vblex><pron><prs><p2><sg>' : u'<vblex><pron>',
	u'<vblex><pron><prs><p3><pl>' : u'<vblex><pron>',
	u'<vblex><pron><prs><p3><sg>' : u'<vblex><pron>',
	u'<vblex><prs><p1><pl>' : u'<vblex>',
	u'<vblex><prs><p2><pl>' : u'<vblex>',
	u'<vblex><prs><p2><sg>' : u'<vblex>',
	u'<vblex><prs><p3><pl>' : u'<vblex>',
	u'<vblex><prs><p3><sg>' : u'<vblex>',
	u'<vbmod><cni><p1><pl>' : u'<vbmod>',
	u'<vbmod><cni><p2><pl>' : u'<vbmod>',
	u'<vbmod><cni><p2><sg>' : u'<vbmod>',
	u'<vbmod><cni><p3><pl>' : u'<vbmod>',
	u'<vbmod><cni><p3><sg>' : u'<vbmod>',
	u'<vbmod><fti><p1><pl>' : u'<vbmod>',
	u'<vbmod><fti><p1><sg>' : u'<vbmod>',
	u'<vbmod><fti><p2><pl>' : u'<vbmod>',
	u'<vbmod><fti><p2><sg>' : u'<vbmod>',
	u'<vbmod><fti><p3><pl>' : u'<vbmod>',
	u'<vbmod><fti><p3><sg>' : u'<vbmod>',
	u'<vbmod><fts><p1><pl>' : u'<vbmod>',
	u'<vbmod><fts><p3><sg>' : u'<vbmod>',
	u'<vbmod><ger>' : u'<vbmod><ger>',
	u'<vbmod><ifi><p1><pl>' : u'<vbmod>',
	u'<vbmod><ifi><p1><sg>' : u'<vbmod>',
	u'<vbmod><ifi><p2><pl>' : u'<vbmod>',
	u'<vbmod><ifi><p3><pl>' : u'<vbmod>',
	u'<vbmod><ifi><p3><sg>' : u'<vbmod>',
	u'<vbmod><imp><p1><pl>' : u'<vbmod>',
	u'<vbmod><imp><p2><pl>' : u'<vbmod>',
	u'<vbmod><imp><p2><sg>' : u'<vbmod>',
	u'<vbmod><imp><p3><pl>' : u'<vbmod>',
	u'<vbmod><imp><p3><sg>' : u'<vbmod>',
	u'<vbmod><inf>' : u'<vbmod><inf>',
	u'<vbmod><pii><p1><pl>' : u'<vbmod>',
	u'<vbmod><pii><p2><pl>' : u'<vbmod>',
	u'<vbmod><pii><p2><sg>' : u'<vbmod>',
	u'<vbmod><pii><p3><pl>' : u'<vbmod>',
	u'<vbmod><pii><p3><sg>' : u'<vbmod>',
	u'<vbmod><pis><p1><pl>' : u'<vbmod>',
	u'<vbmod><pis><p3><pl>' : u'<vbmod>',
	u'<vbmod><pis><p3><sg>' : u'<vbmod>',
	u'<vbmod><pp><f><pl>' : u'<vbmod><pp>',
	u'<vbmod><pp><f><sg>' : u'<vbmod><pp>',
	u'<vbmod><pp><m><pl>' : u'<vbmod><pp>',
	u'<vbmod><pp><m><sg>' : u'<vbmod><pp>',
	u'<vbmod><pri><p1><pl>' : u'<vbmod>',
	u'<vbmod><pri><p1><sg>' : u'<vbmod>',
	u'<vbmod><pri><p2><pl>' : u'<vbmod>',
	u'<vbmod><pri><p2><sg>' : u'<vbmod>',
	u'<vbmod><pri><p3><pl>' : u'<vbmod>',
	u'<vbmod><pri><p3><sg>' : u'<vbmod>',
	u'<vbmod><prs><p1><pl>' : u'<vbmod>',
	u'<vbmod><prs><p2><pl>' : u'<vbmod>',
	u'<vbmod><prs><p2><sg>' : u'<vbmod>',
	u'<vbmod><prs><p3><pl>' : u'<vbmod>',
	u'<vbmod><prs><p3><sg>' : u'<vbmod>',
	u'<vbser><cni><p1><pl>' : u'<vbser>',
	u'<vbser><cni><p2><pl>' : u'<vbser>',
	u'<vbser><cni><p3><pl>' : u'<vbser>',
	u'<vbser><cni><p3><sg>' : u'<vbser>',
	u'<vbser><fti><p1><pl>' : u'<vbser>',
	u'<vbser><fti><p1><sg>' : u'<vbser>',
	u'<vbser><fti><p2><pl>' : u'<vbser>',
	u'<vbser><fti><p2><sg>' : u'<vbser>',
	u'<vbser><fti><p3><pl>' : u'<vbser>',
	u'<vbser><fti><p3><sg>' : u'<vbser>',
	u'<vbser><fts><p3><pl>' : u'<vbser>',
	u'<vbser><fts><p3><sg>' : u'<vbser>',
	u'<vbser><ger>' : u'<vbser><ger>',
	u'<vbser><ifi><p1><pl>' : u'<vbser>',
	u'<vbser><ifi><p1><sg>' : u'<vbser>',
	u'<vbser><ifi><p3><pl>' : u'<vbser>',
	u'<vbser><ifi><p3><sg>' : u'<vbser>',
	u'<vbser><imp><p2><pl>' : u'<vbser>',
	u'<vbser><imp><p2><sg>' : u'<vbser>',
	u'<vbser><imp><p3><pl>' : u'<vbser>',
	u'<vbser><imp><p3><sg>' : u'<vbser>',
	u'<vbser><inf>' : u'<vbser><inf>',
	u'<vbser><pii><p1><pl>' : u'<vbser>',
	u'<vbser><pii><p2><sg>' : u'<vbser>',
	u'<vbser><pii><p3><pl>' : u'<vbser>',
	u'<vbser><pii><p3><sg>' : u'<vbser>',
	u'<vbser><pis><p1><pl>' : u'<vbser>',
	u'<vbser><pis><p2><sg>' : u'<vbser>',
	u'<vbser><pis><p3><pl>' : u'<vbser>',
	u'<vbser><pis><p3><sg>' : u'<vbser>',
	u'<vbser><pp><m><sg>' : u'<vbser><pp>',
	u'<vbser><pri><p1><pl>' : u'<vbser>',
	u'<vbser><pri><p1><sg>' : u'<vbser>',
	u'<vbser><pri><p2><pl>' : u'<vbser>',
	u'<vbser><pri><p2><sg>' : u'<vbser>',
	u'<vbser><pri><p3><pl>' : u'<vbser>',
	u'<vbser><pri><p3><sg>' : u'<vbser>',
	u'<vbser><prs><p1><pl>' : u'<vbser>',
	u'<vbser><prs><p2><sg>' : u'<vbser>',
	u'<vbser><prs><p3><pl>' : u'<vbser>',
	u'<vbser><prs><p3><sg>' : u'<vbser>',
	u'<web>' : u'<web>'
};

en_table = {
	u'<adj>' : u'<adj>',
	u'<adj><comp>' : u'<adj>',
	u'<adj><pos>' : u'<adj><pos>',
	u'<adj><sint>' : u'<adj>',
	u'<adj><sint><comp>' : u'<adj>',
	u'<adj><sint><sup>' : u'<adj>',
	u'<adj><sup>' : u'<adj>',
	u'<adj><ord>' : u'<ord>',
	u'<adv>' : u'<adv>',
	u'<adv><itg>' : u'<adv><itg>',
	u'<apos>' : u'<apos>',
	u'<cm>' : u'<cm>',
	u'<cnjadv>' : u'<cnjadv>',
	u'<cnjcoo>' : u'<cnjcoo>',
	u'<cnjsub>' : u'<cnjsub>',
	u'<det><def><sp>' : u'<def><def>',
	u'<det><dem><pl>' : u'<det><dem>',
	u'<det><dem><sg>' : u'<det><dem>',
	u'<det><ind><pl>' : u'<det><ind>',
	u'<det><ind><sg>' : u'<det><ind>',
	u'<det><ind><sp>' : u'<det><ind>',
	u'<det><itg><pl>' : u'<det><itg>',
	u'<det><itg><sg>' : u'<det><itg>',
	u'<det><itg><sp>' : u'<det><itg>',
	u'<det><ord><sp>' : u'<det><ord>',
	u'<det><pos><sp>' : u'<det><pos>',
	u'<det><qnt><pl>' : u'<det><qnt>',
	u'<det><qnt><sg>' : u'<det><qnt>',
	u'<det><qnt><sp>' : u'<det><qnt>',
	u'<gen>' : u'<gen>',
	u'<guio>' : u'<guio>',
	u'<ij>' : u'<ij>',
	u'<lpar>' : u'<lpar>',
	u'<lquest>' : u'<lquest>',
	u'<mon>' : u'<mon>',
	u'<n><acr><sg>' : u'<n>',
	u'<np><org><pl>' : u'<np><org>',
	u'<np><org><sp>' : u'<np><org>',
	u'<np><org><sg>' : u'<np><org>',
	u'<np><al><pl>' : u'<np>',
	u'<np><al><sg>' : u'<np>',
	u'<np><ant><f><sg>' : u'<np><ant>',
	u'<np><ant><mf><sg>' : u'<np><ant>',
	u'<np><ant><m><sg>' : u'<np><ant>',
	u'<np><cog><pl>' : u'<np><cog>',
	u'<np><cog><sg>' : u'<np><cog>',
	u'<n><pl>' : u'<n>',
	u'<np><loc><pl>' : u'<np><loc>',
	u'<np><loc><sg>' : u'<np><loc>',
	u'<np><top><pl>' : u'<np><top>',
	u'<np><top><sg>' : u'<np><top>',
	u'<n><sg>' : u'<n>',
	u'<num>' : u'<num>',
	u'<num><time>' : u'<num><time>',
	u'<num><mf><sg>' : u'<num>',
	u'<num><ord>' : u'<num><ord>',
	u'<num><percent>' : u'<num><percent>',
	u'<num><pl>' : u'<num>',
	u'<num><sg>' : u'<num>',
	u'<num><sp>' : u'<num>',
	u'<pr>' : u'<pr>',
	u'<preadv>' : u'<preadv>',
	u'<predet><sp>' : u'<predet>',
	u'<prn><itg><mf><pl>' : u'<prn><itg>',
	u'<prn><itg><mf><sg>' : u'<prn><itg>',
	u'<prn><itg><mf><sp>' : u'<prn><itg>',
	u'<prn><itg><m><sg>' : u'<prn><itg>',
	u'<prn><itg><m><sp>' : u'<prn><itg>',
	u'<prn><obj><p1><mf><pl>' : u'<prn><obj>',
	u'<prn><obj><p1><mf><sg>' : u'<prn><obj>',
	u'<prn><obj><p2><mf><sp>' : u'<prn><obj>',
	u'<prn><obj><p3><f><sg>' : u'<prn><obj>',
	u'<prn><obj><p3><mf><pl>' : u'<prn><obj>',
	u'<prn><obj><p3><m><sg>' : u'<prn><obj>',
	u'<prn><obj><p3><nt><sg>' : u'<prn><obj>',
	u'<prn><pos><mf><sp>' : u'<prn><pos>',
	u'<prn><ref><p1><mf><pl>' : u'<prn><ref>',
	u'<prn><ref><p1><mf><sg>' : u'<prn><ref>',
	u'<prn><ref><p2><mf><pl>' : u'<prn><ref>',
	u'<prn><ref><p2><mf><sg>' : u'<prn><ref>',
	u'<prn><ref><p3><f><sg>' : u'<prn><ref>',
	u'<prn><ref><p3><mf><pl>' : u'<prn><ref>',
	u'<prn><ref><p3><m><sg>' : u'<prn><ref>',
	u'<prn><ref><p3><nt><sg>' : u'<prn><ref>',
	u'<prn><subj><p1><mf><pl>' : u'<prn><subj>',
	u'<prn><subj><p1><mf><sg>' : u'<prn><subj>',
	u'<prn><subj><p2><mf><sp>' : u'<prn><subj>',
	u'<prn><subj><p3><f><sg>' : u'<prn><subj>',
	u'<prn><subj><p3><mf><pl>' : u'<prn><subj>',
	u'<prn><subj><p3><m><sg>' : u'<prn><subj>',
	u'<prn><subj><p3><nt><sg>' : u'<prn><subj>',
	u'<prn><tn><mf><pl>' : u'<prn><tn>',
	u'<prn><tn><mf><sg>' : u'<prn><tn>',
	u'<prn><tn><mf><sp>' : u'<prn><tn>',
	u'<prn><tn><m><sg>' : u'<prn><tn>',
	u'<prn><tn><nt><sg>' : u'<prn><tn>',

	u'<prn><ind><f><pl>' : u'<prn><ind>',
	u'<prn><ind><f><sg>' : u'<prn><ind>',
	u'<prn><ind><mf><pl>' : u'<prn><ind>',
	u'<prn><ind><mf><sg>' : u'<prn><ind>',
	u'<prn><ind><mf><sp>' : u'<prn><ind>',
	u'<prn><ind><m><pl>' : u'<prn><ind>',
	u'<prn><ind><m><sg>' : u'<prn><ind>',
	u'<prn><ind><m><sp>' : u'<prn><ind>',
	u'<prn><ind><nt>' : u'<prn><ind>',
	u'<prn><ind><nt><sg>' : u'<prn><ind>',

	u'<prn><qnt><f><pl>' : u'<prn><qnt>',
	u'<prn><qnt><f><sg>' : u'<prn><qnt>',
	u'<prn><qnt><mf><pl>' : u'<prn><qnt>',
	u'<prn><qnt><mf><sg>' : u'<prn><qnt>',
	u'<prn><qnt><mf><sp>' : u'<prn><qnt>',
	u'<prn><qnt><m><pl>' : u'<prn><qnt>',
	u'<prn><qnt><m><sg>' : u'<prn><qnt>',
	u'<prn><qnt><m><sp>' : u'<prn><qnt>',
	u'<prn><qnt><nt>' : u'<prn><qnt>',

	u'<abbr>' : u'<abbr>',
	u'<prn><dem><f><pl>' : u'<prn><dem>',
	u'<prn><dem><f><sg>' : u'<prn><dem>',
	u'<prn><dem><mf><pl>' : u'<prn><dem>',
	u'<prn><dem><mf><sg>' : u'<prn><dem>',
	u'<prn><dem><mf><sp>' : u'<prn><dem>',
	u'<prn><dem><m><pl>' : u'<prn><dem>',
	u'<prn><dem><m><sg>' : u'<prn><dem>',
	u'<prn><dem><m><sp>' : u'<prn><dem>',
	u'<prn><dem><nt>' : u'<prn><dem>',

	u'<rel><aa><mf><sp>' : u'<rel><aa>',
	u'<rel><adv>' : u'<rel><adv>',
	u'<rel><an><mf><sp>' : u'<rel><an>',
	u'<rel><nn><mf><pl>' : u'<rel><nn>',
	u'<rel><nn><mf><sg>' : u'<rel><nn>',
	u'<rel><nn><mf><sp>' : u'<rel><nn>',
	u'<rpar>' : u'<rpar>',
	u'<sent>' : u'<sent>',
	u'<vaux><inf>' : u'<vaux><inf>',
	u'<vaux><past>' : u'<vaux>',
	u'<vaux><pres>' : u'<vaux>',
	u'<vbdo><past>' : u'<vbdo>',
	u'<vbdo><pres>' : u'<vbdo>',
	u'<vbdo><pri><p3><sg>' : u'<vbdo>',
	u'<vbdo><pres><p3><sg>' : u'<vbdo>',
	u'<vbhaver><ger>' : u'<vbhaver><ger>',
	u'<vbhaver><inf>' : u'<vbhaver><inf>',
	u'<vbhaver><past>' : u'<vbhaver>',
	u'<vbhaver><pres>' : u'<vbhaver>',
	u'<vbhaver><pri><p3><sg>' : u'<vbhaver>',
	u'<vbhaver><pres><p3><sg>' : u'<vbhaver>',
	u'<vblex><ger>' : u'<vblex><ger>',
	u'<vblex><inf>' : u'<vblex><inf>',
	u'<vblex><past>' : u'<vblex>',
	u'<vblex><past><p3><sg>' : u'<vblex>',
	u'<vblex><pp>' : u'<vblex><pp>',
	u'<vblex><pres>' : u'<vblex>',
	u'<vblex><pri><p1><sg>' : u'<vblex>',
	u'<vblex><pres><p1><sg>' : u'<vblex>',
	u'<vblex><pri><p3><sg>' : u'<vblex>',
	u'<vblex><pres><p3><sg>' : u'<vblex>',
	u'<vblex><sep><ger>' : u'<vblex><ger>',
	u'<vblex><sep><inf>' : u'<vblex><inf>',
	u'<vblex><sep><past>' : u'<vblex>',
	u'<vblex><sep><pp>' : u'<vblex><pp>',
	u'<vblex><sep><pres>' : u'<vblex>',
	u'<vblex><sep><pri><p3><sg>' : u'<vblex>',
	u'<vblex><sep><pres><p3><sg>' : u'<vblex>',
	u'<vbmod><ger>' : u'<vbmod><ger>',
	u'<vbmod><inf>' : u'<vbmod><inf>',
	u'<vbmod><past>' : u'<vbmod>',
	u'<vbmod><pp>' : u'<vbmod><pp>',
	u'<vbmod><pres>' : u'<vbmod>',
	u'<vbmod><pri><p3><sg>' : u'<vbmod>',
	u'<vbmod><pres><p3><sg>' : u'<vbmod>',
	u'<vbser><ger>' : u'<vbser><ger>',
	u'<vbser><inf>' : u'<vbser><inf>',
	u'<vbser><past>' : u'<vbser>',
	u'<vbser><past><p1><sg>' : u'<vbser>',
	u'<vbser><past><p3><sg>' : u'<vbser>',
	u'<vbser><pp>' : u'<vbser><pp>',
	u'<vbser><pres>' : u'<vbser>',
	u'<vbser><pri><p1><sg>' : u'<vbser>',
	u'<vbser><pres><p1><sg>' : u'<vbser>',
	u'<vbser><pri><p3><sg>' : u'<vbser>',
	u'<vbser><pres><p3><sg>' : u'<vbser>',
	u'<web>' : u'<web>',
};

sme_table = {
	u'<ShCmp>':u'<ShCmp>',
	u'<Cmp>':u'<Cmp>',
	u'<V><TV>':u'<V><TV>',
	u'<V><IV>':u'<V><IV>',
	u'<V><TV><Inf>':u'<V><TV><Inf>',
	u'<V><IV><Inf>':u'<V><IV><Inf>',
	u'<V><TV><Ger>':u'<V><TV><Ger>',
	u'<V><IV><Ger>':u'<V><IV><Ger>',
	u'<V><TV><Actio>':u'<V><TV><Actio>',
	u'<V><IV><Actio>':u'<V><IV><Actio>',
	u'<V><TV><PrfPrc>':u'<V><TV><PrfPrc>',
	u'<V><IV><PrfPrc>':u'<V><IV><PrfPrc>',
	u'<V><TV><PrsPrc>':u'<V><TV><PrsPrc>',
	u'<V><IV><PrsPrc>':u'<V><IV><PrsPrc>',
	u'<V>':u'<V>',
	u'<N>':u'<N>',
	u'<N><ACR>':u'<N><ACR>',
	u'<N><Prop>':u'<N><Prop>',
	u'<N><Prop><Obj>':u'<N><Prop><Obj>',
	u'<N><Prop><Sur>':u'<N><Prop><Sur>',
	u'<N><Prop><Fem>':u'<N><Prop><Fem>',
	u'<N><Prop><Mal>':u'<N><Prop><Mal>',
	u'<N><Prop><Org>':u'<N><Prop><Org>',
	u'<N><Prop><Org>':u'<N><Prop><Plc>',
	u'<A>':u'<A>',
	u'<CC>':u'<CC>',
	u'<CS>':u'<CS>',
	u'<Pcle>':u'<Pcle>',
	u'<Qst>':u'<Qst>',
	u'<Adv>':u'<Adv>',
	u'<Interj>':u'<Interj>',
	u'<Adp>':u'<Adp>',
	u'<Po>':u'<Po>',
	u'<Pr>':u'<Pr>',
	u'<Pron>':u'<Pron>',
	u'<Pron><Interr>':u'<Pron><Interr>',
	u'<Pron><Rel>':u'<Pron><Rel>',
	u'<Pron><Refl>':u'<Pron><Refl>',
	u'<Pron><Indef>':u'<Pron><Indef>',
	u'<Pron><Recipr>':u'<Pron><Recipr>',
	u'<Pron><Dem>':u'<Pron><Dem>',
	u'<Num>':u'<Num>',
	u'<CLB>':u'<CLB>',
}

nob_table = {

	u'<abbr>' : u'<abbr>',
	u'<adj>' : u'<adj>',
	u'<adv>' : u'<adv>',
	u'<apos>' : u'<apos>',
	u'<cm>' : u'<cm>',
	u'<cnjcoo>' : u'<cnjcoo>',
	u'<cnjsub>' : u'<cnjsub>',
	u'<guio>' : u'<guio>',
	u'<ij>' : u'<ij>',
	u'<lpar>' : u'<lpar>',
	u'<n>' : u'<n>',
	u'<np>' : u'<np>',
	u'<num>' : u'<num>',
	u'<part>' : u'<part>',
	u'<pr>' : u'<pr>',
	u'<pref>' : u'<pref>',
	u'<det>' : u'<det>',
	u'<prn>' : u'<prn>',
	u'<rpar>' : u'<rpar>',
	u'<sent>' : u'<sent>',
	u'<vbhaver>' : u'<vbhaver>',
	u'<vblex>' : u'<vblex>',
	u'<vbmod>' : u'<vbmod>',
	u'<vbser>' : u'<vbser>',
};

def in_table(tags, table):
	"""Assumes any tag sequence not in `table' can be shortened to
	one there."""
	if tags in table:
		return table[tags];
	else:
		ltag = tags.split(u'><');
		for i in range(len(ltag)-1, 0, -1):
			shorter = u'><'.join(ltag[0:i])+'>';
			if shorter in table:
				table[tags]=table[shorter]; # cache it
				return table[shorter];
	print >>sys.stderr, tags
	return tags
	# raise Exception("Unknown tagging!");




table = {};

if len(sys.argv) != 2: #{
	print >>sys.stderr, 'process-tagger-output.py <lang>';
	sys.exit(1);
#}

if sys.argv[1] == 'en': #{
	table = en_table;
elif sys.argv[1] == 'es': #{
	table = es_table;
elif sys.argv[1] == 'mk': #{
	table = mk_table;
elif sys.argv[1] == 'sh': #{
	table = sh_table;
elif sys.argv[1] == 'sme': #{
	table = sme_table;
elif sys.argv[1] == 'nob': #{
	table = nob_table;
else: #{
	print >>sys.stderr, 'process-tagger-output.py <lang>';
	sys.exit(1);
#}

def processWord(c): #{
	lemma = '';
	tags = '';

	c = sys.stdin.read(1);
	while c != '<': #{
		if c == '*': #{
			while c and c != '$': #{
				lemma = lemma + c;
				c = sys.stdin.read(1);
			#}
			sys.stdout.write(lemma.replace(' ', '~') + ' ');
			return;
		#}
		lemma = lemma + c;
		c = sys.stdin.read(1);
	#}

	while c != '$': #{
		tags = tags + c;
		c = sys.stdin.read(1);
	#}

	sys.stdout.write(lemma.replace(' ', '~') + in_table(tags, table) + ' ');
#}

while c: #{
	# Beginning of a lexical unit
	if c == '^': #{
		processWord(c);
	#}

	if c == '[': #{

		while c and c != ']': #{

			if c == '\n': #{
				sys.stdout.write('\n');
			#}
			c = sys.stdin.read(1);
		#}
	#}

	# Newline is newline
	if c == '\n': #{
		sys.stdout.write('\n');
	#}

	c = sys.stdin.read(1);
#}

